# system import
import os, secrets
from datetime import timedelta

# Flask imports
from flask import Flask, Blueprint
from flask_oidc import OpenIDConnect



ROOT_FILE_PTH = os.path.dirname(os.path.realpath(__file__))
app = Flask(__name__)
app.config.from_object("dropper.config.ProductionConfig")
# app.config.from_object("dropper.config.DevelopmentConfig")


oidc = OpenIDConnect(app)
def oidc_loggedin():
    return oidc.user_loggedin

def oidc_isAdmin():
    if oidc_loggedin():
        isAdmin = oidc.user_getfield("isAdmin")
        if isAdmin == "yes" :
            return True
    return False

app.jinja_env.globals['oidc_loggedin'] = oidc_loggedin
app.jinja_env.globals['oidc_isAdmin']  = oidc_isAdmin
app.jinja_env.globals['TITLE']         =  app.config["TITLE"]


from dropper import routes
